For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
  • Overview
    • Introduction
    • Getting started
  • Employer of Record
    • Overview
    • Hiring & contracts
    • Employment management
    • Amendments & offboarding
    • Worker onboarding
    • Worker self-service
  • Independent Contractor
    • Overview
    • Create & onboard
    • Manage contracts
  • EOR Endpoints
  • EOR Worker Endpoints
  • IC Endpoints
      • POSTCreate a Milestone
      • DELDelete a Milestone
      • GETRetrieve a single milestone
      • GETRetrieve Milestones by Contract
LogoLogo
SupportDeel Home
IC EndpointsMilestones

Retrieve Milestones by Contract

GET
/contracts/:contract_id/milestones
GET
/rest/v2/contracts/:contract_id/milestones
$curl https://api.letsdeel.com/rest/v2/contracts/37nex2x/milestones \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "00000000-0000-0000-0000-000000000000",
5 "title": "Initial Design Phase",
6 "amount": "5000.00",
7 "status": "Pending Approval",
8 "created_at": "2024-11-26T15:30:00Z",
9 "description": "Design the initial prototype of the application.",
10 "reported_by": {
11 "id": "00000000-0000-0000-0000-000000000000",
12 "full_name": "Jane Smith"
13 },
14 "reviewed_by": {
15 "id": "00000000-0000-0000-0000-000000000000",
16 "full_name": "John Doe"
17 },
18 "approval_requested": true
19 }
20 ]
21}

Retrieves all milestones associated with a specific contract, including each milestone’s title, amount, status, relevant dates, and creator and reviewer information. Token scopes: milestones:read

Was this page helpful?
Previous

Add off-cycle payment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the Deel contract for which milestones are being retrieved.

Response

A list of milestones for the specified contract.
datalist of objects
An array of milestone objects associated with the contract.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication